#include "StandbyEvaluator.h"

#include "BehaviorScores.h"
#include "EntityAdmin.h"
#include "StandbyBehavior.h"
#include "tracing.h"

void StandbyEvaluator::evaluate(EntityAdmin& admin)
{
    TRACE();
    admin.forEach<StandbyBehavior>(
        [](entt::entity /*e*/, StandbyBehavior& standby)
        {
            standby.score = BehaviorScores::kStandby;
        });
}
